
// global variables

var clockNumber = 0;
var map = null;     

///////////////////////////////////////////////////////////////////////////////////////////////////
//
// loadFlyout - first method called when flyout loads
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function loadFlyout() {   
    // main flyout onload method (first method called every time the flyout is loaded)
    
    // set flyout document styles
    document.body.style.width = "420px";                                            // set total gadget width
    document.body.style.height = "450px";                                           // set total gadget height
    document.body.style.backgroundImage = "url(images/backgnd_flyout.png)";         // set gadget background image
    // * NOTE - the above flyout document width and height settings should be set 
    //          to the same dimensions as the size of the above background image.

    // set main flyout frame styles (main flyout area minus above background frame)
    var titleElement = document.getElementById("mapTitle");
    var clockNumber = System.Gadget.Settings.readString("showMapNumber");
    var clockName = System.Gadget.Settings.readString("Name" + clockNumber);
    clockName = clockName.replace("_","");  // strip any trailing underscores
    var clockCountry = System.Gadget.Settings.readString("Country" + clockNumber);
    var clockProv = System.Gadget.Settings.readString("Prov" + clockNumber);
    var titleText = clockName + "<br/> " + clockProv + ", " + clockCountry;
    var latitude = System.Gadget.Settings.readString("Latitude" + clockNumber);
    var longitude = System.Gadget.Settings.readString("Longitude" + clockNumber);                                       
    titleElement.innerHTML = " " + titleText + "<br/> Latitude: " + latitude + " Longitude: " + longitude;
    GetMap(latitude,longitude,clockName);   // load map the set title

}

function GetMap(latitude,longitude,clockName)
{
   var zoomLevel = 11;
   var mapStyle = 'h';  // hybrid
   map = new VEMap('myMap');
   map.SetTileBuffer(1);  // prefetch one extra ring of tiles
   map.LoadMap(new VELatLong(latitude,longitude), zoomLevel ,mapStyle ,false);
   map.HideDashboard();
   AddPushpin(clockName);           // flag the clock site on map
}

function AddPushpin(clockName)
{
   var shape = new VEShape(VEShapeType.Pushpin, map.GetCenter());
   shape.SetTitle(clockName);
   shape.SetDescription('This is where the ' + clockName + ' clock is located');
   shape.SetCustomIcon("<img src='images/Telescope.jpg' border=\"0\" width=\"41\" height=\"70\"/>"); 
   map.AddShape(shape);
}
 
function ZoomIn()
{
   map.ZoomIn();
}

function ZoomOut()
{
   map.ZoomOut();
}

function CloseFlyout()
{
   System.Gadget.Flyout.show=false;     // hide flyout
}

///////////////////////////////////////////////////////////////////////////////////////////////////

